<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { storeToRefs } from 'pinia';
import * as jose from 'jose'
import { useAccountStore }  from '@/stores/account';
import { getCookie } from '@/lib/utils';

const store = useAccountStore();
const { mail, accesscode, canUseAI } = storeToRefs(store);
const token = getCookie('Token');
if(token){
    const payload = jose.UnsecuredJWT.decode(token);
    mail.value = String(payload.payload.mail);
    accesscode.value = String(payload.payload.accesscode);
    canUseAI.value = Boolean(payload.payload.canUseAI);
}

window.addEventListener('storage', function(event){
    if (event.key == 'logout-event' || event.key == 'login-event') {
        location.reload();
    }
});

</script>
<template>
    <slot></slot>
</template>